AI Driving Olympics Home Challenges Submissions

Submission 12960

Submission12960
Competingyes
Challengeaido5-LF-sim-validation
UserRaphael Jean
Date submitted
Last status update
Completecomplete
DetailsEvaluation is complete.
Sisters
Result💚
JobsLFv-sim: 60206
Next
User labelproject
Admin priority50
Blessingn/a
User priority50

60206

Click the images to see detailed statistics about the episode.

LF-norm-loop-000

LF-norm-small_loop-000

LF-norm-techtrack-000

LF-norm-zigzag-000

Evaluation jobs for this submission

See previous jobs for previous versions of challenges
Job IDstepstatusup to datedate starteddate completeddurationmessage
60206LFv-simsuccessyes0:42:36
Artefacts hidden. If you are the author, please login using the top-right link or use the dashboard.
driven_lanedir_consec_median20.20030790360466
survival_time_median59.99999999999873
deviation-center-line_median2.889796148153888
in-drivable-lane_median3.5499999999999305


other stats
agent_compute-ego0_max0.0837584615845565
agent_compute-ego0_mean0.05999768627970344
agent_compute-ego0_median0.06317804953537813
agent_compute-ego0_min0.029876184463500977
complete-iteration_max0.5101409299033028
complete-iteration_mean0.4362482555885015
complete-iteration_median0.4249737122771543
complete-iteration_min0.3849046678963946
deviation-center-line_max3.2840705309100326
deviation-center-line_mean2.275485877719132
deviation-center-line_min0.03828068365872023
deviation-heading_max12.521703660183316
deviation-heading_mean7.898207153253018
deviation-heading_median9.294255108759572
deviation-heading_min0.4826147353096123
driven_any_max27.732602221212534
driven_any_mean20.71628933837049
driven_any_median27.419041024040553
driven_any_min0.2944730841883091
driven_lanedir_consec_max26.94662532987044
driven_lanedir_consec_mean16.86984795787909
driven_lanedir_consec_min0.1321506944366
driven_lanedir_max26.94662532987044
driven_lanedir_mean18.174675028732125
driven_lanedir_median22.809962045310726
driven_lanedir_min0.1321506944366
get_duckie_state_max2.4167425328746227e-06
get_duckie_state_mean2.2457785167945924e-06
get_duckie_state_median2.2409559785079004e-06
get_duckie_state_min2.0844595772879462e-06
get_robot_state_max0.00436166998349459
get_robot_state_mean0.004226246821096199
get_robot_state_median0.004288421383904577
get_robot_state_min0.003966474533081054
get_state_dump_max0.005388937425256073
get_state_dump_mean0.005257750487687741
get_state_dump_median0.0053698167912072685
get_state_dump_min0.004902430943080357
get_ui_image_max0.05694655009678432
get_ui_image_mean0.04949484610792941
get_ui_image_median0.04881772996980284
get_ui_image_min0.043397374395327606
in-drivable-lane_max10.999999999999975
in-drivable-lane_mean4.524999999999959
in-drivable-lane_min0.0
per-episodes
details{"LF-norm-loop-000-ego0": {"driven_any": 27.732602221212534, "get_ui_image": 0.04550044085957625, "step_physics": 0.24798143455924637, "survival_time": 59.99999999999873, "driven_lanedir": 24.248371864398152, "get_state_dump": 0.005371248394523831, "get_robot_state": 0.00436166998349459, "sim_render-ego0": 0.004262599619500941, "get_duckie_state": 2.2073073946963144e-06, "in-drivable-lane": 6.14999999999986, "deviation-heading": 10.524568738051428, "agent_compute-ego0": 0.0837584615845565, "complete-iteration": 0.40831909132043487, "set_robot_commands": 0.0027590786586891704, "deviation-center-line": 3.0544143613820456, "driven_lanedir_consec": 24.248371864398152, "sim_compute_sim_state": 0.011880780338347705, "sim_compute_performance-ego0": 0.0023519790341316113}, "LF-norm-zigzag-000-ego0": {"driven_any": 0.2944730841883091, "get_ui_image": 0.05694655009678432, "step_physics": 0.3972615242004395, "survival_time": 1.7000000000000008, "driven_lanedir": 0.1321506944366, "get_state_dump": 0.004902430943080357, "get_robot_state": 0.003966474533081054, "sim_render-ego0": 0.004016331263950893, "get_duckie_state": 2.0844595772879462e-06, "in-drivable-lane": 0.9500000000000008, "deviation-heading": 0.4826147353096123, "agent_compute-ego0": 0.029876184463500977, "complete-iteration": 0.5101409299033028, "set_robot_commands": 0.0023136343274797713, "deviation-center-line": 0.03828068365872023, "driven_lanedir_consec": 0.1321506944366, "sim_compute_sim_state": 0.008692870821271624, "sim_compute_performance-ego0": 0.0020772865840366908}, "LF-norm-techtrack-000-ego0": {"driven_any": 27.47479130392501, "get_ui_image": 0.05213501908002944, "step_physics": 0.30344547876013406, "survival_time": 59.99999999999873, "driven_lanedir": 21.3715522262233, "get_state_dump": 0.005368385187890706, "get_robot_state": 0.004256791218829889, "sim_render-ego0": 0.004178148423702294, "get_duckie_state": 2.4167425328746227e-06, "in-drivable-lane": 10.999999999999975, "deviation-heading": 12.521703660183316, "agent_compute-ego0": 0.053257094731835104, "complete-iteration": 0.4416283332338738, "set_robot_commands": 0.0026404333551360805, "deviation-center-line": 3.2840705309100326, "driven_lanedir_consec": 16.152243942811165, "sim_compute_sim_state": 0.01397382190682112, "sim_compute_performance-ego0": 0.0022800879911221037}, "LF-norm-small_loop-000-ego0": {"driven_any": 27.363290744156096, "get_ui_image": 0.043397374395327606, "step_physics": 0.24181350939081273, "survival_time": 59.99999999999873, "driven_lanedir": 26.94662532987044, "get_state_dump": 0.005388937425256073, "get_robot_state": 0.004320051548979265, "sim_render-ego0": 0.004250390245753661, "get_duckie_state": 2.2746045623194865e-06, "in-drivable-lane": 0.0, "deviation-heading": 8.063941479467713, "agent_compute-ego0": 0.07309900433892116, "complete-iteration": 0.3849046678963946, "set_robot_commands": 0.002714602774525562, "deviation-center-line": 2.7251779349257306, "driven_lanedir_consec": 26.94662532987044, "sim_compute_sim_state": 0.007523879719018738, "sim_compute_performance-ego0": 0.002306474833365384}}
set_robot_commands_max0.0027590786586891704
set_robot_commands_mean0.0026069372789576458
set_robot_commands_median0.0026775180648308215
set_robot_commands_min0.0023136343274797713
sim_compute_performance-ego0_max0.0023519790341316113
sim_compute_performance-ego0_mean0.0022539571106639476
sim_compute_performance-ego0_median0.002293281412243744
sim_compute_performance-ego0_min0.0020772865840366908
sim_compute_sim_state_max0.01397382190682112
sim_compute_sim_state_mean0.010517838196364796
sim_compute_sim_state_median0.010286825579809663
sim_compute_sim_state_min0.007523879719018738
sim_render-ego0_max0.004262599619500941
sim_render-ego0_mean0.004176867388226947
sim_render-ego0_median0.004214269334727978
sim_render-ego0_min0.004016331263950893
simulation-passed1
step_physics_max0.3972615242004395
step_physics_mean0.29762548672765815
step_physics_median0.2757134566596902
step_physics_min0.24181350939081273
survival_time_max59.99999999999873
survival_time_mean45.424999999999045
survival_time_min1.7000000000000008
No reset possible
60205LFv-simhost-erroryes0:02:10
InvalidEnvironment: [...]
InvalidEnvironment:
Traceback (most recent call last):
  File "/usr/local/lib/python3.8/site-packages/duckietown_experiment_manager/code.py", line 242, in main
    robot_ci.write_topic_and_expect_zero("seed", config.seed)
  File "/usr/local/lib/python3.8/site-packages/zuper_nodes_wrapper/wrapper_outside.py", line 143, in write_topic_and_expect_zero
    msgs = read_reply(self.fpout, timeout=timeout, nickname=self.nickname)
  File "/usr/local/lib/python3.8/site-packages/zuper_nodes_wrapper/wrapper_outside.py", line 309, in read_reply
    raise RemoteNodeAborted(msg)
zuper_nodes.structures.RemoteNodeAborted: The remote node "ego0" aborted with the following error:

error in ego0 |Unexpected error:
              |
              || Traceback (most recent call last):
              ||   File "/usr/local/lib/python3.8/dist-packages/zuper_nodes_wrapper/wrapper.py", line 314, in loop
              ||     call_if_fun_exists(node, "init", context=context_data)
              ||   File "/usr/local/lib/python3.8/dist-packages/zuper_nodes_wrapper/utils.py", line 21, in call_if_fun_exists
              ||     f(**kwargs)
              ||   File "/code/solution.py", line 31, in init
              ||     self.check_gpu_available(context)
              ||   File "/code/solution.py", line 48, in check_gpu_available
              ||     raise Exception(msg)
              || Exception: I need a GPU; bailing.
              ||
              || The above exception was the direct cause of the following exception:
              ||
              || Traceback (most recent call last):
              ||   File "/usr/local/lib/python3.8/dist-packages/zuper_nodes_wrapper/wrapper.py", line 319, in loop
              ||     raise Exception(msg) from e
              || Exception: Exception while calling the node's init() function.
              ||
              || | Traceback (most recent call last):
              || |   File "/usr/local/lib/python3.8/dist-packages/zuper_nodes_wrapper/wrapper.py", line 314, in loop
              || |     call_if_fun_exists(node, "init", context=context_data)
              || |   File "/usr/local/lib/python3.8/dist-packages/zuper_nodes_wrapper/utils.py", line 21, in call_if_fun_exists
              || |     f(**kwargs)
              || |   File "/code/solution.py", line 31, in init
              || |     self.check_gpu_available(context)
              || |   File "/code/solution.py", line 48, in check_gpu_available
              || |     raise Exception(msg)
              || | Exception: I need a GPU; bailing.
              || |
              ||

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/usr/local/lib/python3.8/site-packages/duckietown_challenges/cie_concrete.py", line 681, in scoring_context
    yield cie
  File "/usr/local/lib/python3.8/site-packages/duckietown_experiment_manager/experiment_manager.py", line 68, in go
    wrap(cie)
  File "/usr/local/lib/python3.8/site-packages/duckietown_experiment_manager/experiment_manager.py", line 34, in wrap
    asyncio.run(main(cie, logdir, attempts), debug=True)
  File "/usr/local/lib/python3.8/asyncio/runners.py", line 44, in run
    return loop.run_until_complete(main)
  File "/usr/local/lib/python3.8/asyncio/base_events.py", line 616, in run_until_complete
    return future.result()
  File "/usr/local/lib/python3.8/site-packages/duckietown_experiment_manager/code.py", line 248, in main
    raise InvalidEnvironment(msg) from e
duckietown_challenges.exceptions.InvalidEnvironment: Detected out of CUDA memory:

Traceback (most recent call last):
  File "/usr/local/lib/python3.8/site-packages/duckietown_experiment_manager/code.py", line 242, in main
    robot_ci.write_topic_and_expect_zero("seed", config.seed)
  File "/usr/local/lib/python3.8/site-packages/zuper_nodes_wrapper/wrapper_outside.py", line 143, in write_topic_and_expect_zero
    msgs = read_reply(self.fpout, timeout=timeout, nickname=self.nickname)
  File "/usr/local/lib/python3.8/site-packages/zuper_nodes_wrapper/wrapper_outside.py", line 309, in read_reply
    raise RemoteNodeAborted(msg)
zuper_nodes.structures.RemoteNodeAborted: The remote node "ego0" aborted with the following error:

error in ego0 |Unexpected error:
              |
              || Traceback (most recent call last):
              ||   File "/usr/local/lib/python3.8/dist-packages/zuper_nodes_wrapper/wrapper.py", line 314, in loop
              ||     call_if_fun_exists(node, "init", context=context_data)
              ||   File "/usr/local/lib/python3.8/dist-packages/zuper_nodes_wrapper/utils.py", line 21, in call_if_fun_exists
              ||     f(**kwargs)
              ||   File "/code/solution.py", line 31, in init
              ||     self.check_gpu_available(context)
              ||   File "/code/solution.py", line 48, in check_gpu_available
              ||     raise Exception(msg)
              || Exception: I need a GPU; bailing.
              ||
              || The above exception was the direct cause of the following exception:
              ||
              || Traceback (most recent call last):
              ||   File "/usr/local/lib/python3.8/dist-packages/zuper_nodes_wrapper/wrapper.py", line 319, in loop
              ||     raise Exception(msg) from e
              || Exception: Exception while calling the node's init() function.
              ||
              || | Traceback (most recent call last):
              || |   File "/usr/local/lib/python3.8/dist-packages/zuper_nodes_wrapper/wrapper.py", line 314, in loop
              || |     call_if_fun_exists(node, "init", context=context_data)
              || |   File "/usr/local/lib/python3.8/dist-packages/zuper_nodes_wrapper/utils.py", line 21, in call_if_fun_exists
              || |     f(**kwargs)
              || |   File "/code/solution.py", line 31, in init
              || |     self.check_gpu_available(context)
              || |   File "/code/solution.py", line 48, in check_gpu_available
              || |     raise Exception(msg)
              || | Exception: I need a GPU; bailing.
              || |
              ||

Artefacts hidden. If you are the author, please login using the top-right link or use the dashboard.
No reset possible